package types

/*
	Базовый тип для любой секции игры
*/

// ISection -- интерфейс базового типа любой секции игры
type ISection interface {
	// Update -- обновляет строки секции
	Update(lstString []string) error
	// GetLst -- возвращает список строк секции
	GetLst() []string
	// CountDown -- объект оставшегося времени до опроса секции
	CountDown() ICountTime
	// ModeCurrent -- текущий режим работы
	ModeCurrent() IMode
}
